## r10k 3.1.0

=== docker/Makefile ===
git_describe = $(shell git describe)
vcs_ref := $(shell git rev-parse HEAD)
build_date := $(shell date -u +%FT%T)
hadolint_available := $(shell hadolint --help > /dev/null 2>&1; echo $$?)
hadolint_command := hadolint --ignore DL3008 --ignore DL3018 --ignore DL4000 --ignore DL4001
hadolint_container := hadolint/hadolint:latest

ifeq ($(IS_NIGHTLY),true)
	dockerfile := Dockerfile.nightly
	version := puppet6-nightly
else
	version = $(shell echo $(git_describe) | sed 's/-.*//')
	dockerfile := Dockerfile
endif


prep:
ifneq ($(IS_NIGHTLY),true)
	@git fetch --unshallow ||:
	@git fetch origin 'refs/tags/*:refs/tags/*'
endif

lint:
ifeq ($(hadolint_available),0)
	@$(hadolint_command) r10k/$(dockerfile)
else
	@docker pull $(hadolint_container)
	@docker run --rm -v $(PWD)/r10k/$(dockerfile):/Dockerfile -i $(hadolint_container) $(hadolint_command) Dockerfile
endif

build: prep
	@docker build --pull --build-arg vcs_ref=$(vcs_ref) --build-arg build_date=$(build_date) --build-arg version=$(version) --file r10k/$(dockerfile) --tag puppet/r10k:$(version) r10k
ifeq ($(IS_LATEST),true)
	@docker tag puppet/r10k:$(version) puppet/r10k:latest
endif

test: prep
	@bundle install --path .bundle/gems
	@PUPPET_TEST_DOCKER_IMAGE=puppet/r10k:$(version) bundle exec rspec r10k/spec

publish: prep
	@docker push puppet/r10k:$(version)
ifeq ($(IS_LATEST),true)
	@docker push puppet/r10k:latest
endif

.PHONY: lint build test publish

## r10k 1.1.4

=== debian/changelog ===
r10k (1.1.4-1) unstable; urgency=low

  * New upstream release.
  * d/watch: Ignore rc upstream versions.
  * d/patches:
    Rename avoid_git_access.patch to 001-remove-external-source-test.patch
    this patch disable external calls to github during build process.
    Update headers of 001-remove-external-source-test.patch

 -- Sebastien Badia <seb@sebian.fr>  Thu, 06 Mar 2014 19:05:11 +0100

r10k (1.1.3-1) unstable; urgency=low

  * Initial release (Closes: #736604)

 -- Sebastien Badia <seb@sebian.fr>  Wed, 29 Jan 2014 17:48:39 +0100

=== debian/control ===
Source: r10k
Section: ruby
Priority: optional
Maintainer: Sebastien Badia <seb@sebian.fr>
Build-Depends: debhelper (>= 7.0.50~),
               gem2deb (>= 0.6.1~),
               rake,
               ruby-log4r,
               ruby-ronn,
               ruby-rspec,
               ruby-systemu,
Standards-Version: 3.9.5
Vcs-Git: git://anonscm.debian.org/collab-maint/r10k.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/r10k.git
Homepage: http://github.com/adrienthebo/r10k
XS-Ruby-Versions: all

Package: r10k
Architecture: all
XB-Ruby-Versions: ${ruby:Versions}
Depends: puppet-common,
         ruby | ruby-interpreter,
         ruby-colored,
         ruby-cri,
         ruby-json,
         ruby-log4r,
         ruby-systemu,
         ${misc:Depends}
Recommends: puppet
Description: Puppet environment and module deployment
 R10K provides a general purpose toolset for deploying Puppet
 environments and modules. It implements the Puppetfile format
 and provides a native implementation of Puppet dynamic environments.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

%:
	dh $@ --buildsystem=ruby --with ruby

override_dh_auto_build:
	dh_auto_build
	cd debian/man && ronn -r *.ronn

override_dh_auto_clean:
	dh_auto_clean
	rm -f debian/man/*.1

override_dh_installchangelogs:
	dh_installchangelogs -i CHANGELOG

=== debian/watch ===
version=3
https://github.com/adrienthebo/r10k/tags .*/(\d\.\d\.\d)\.tar\.gz

## r10k 2.1.1

=== debian/changelog ===
r10k (2.1.1-2) unstable; urgency=medium

  * Bumped up compat version to 9
  * d/control:
      Bump Standards-Version to 3.9.7 (no changes)
      Update Vcs-* fields (use https everywhere)
  * d/patches: Remove unused patchs

 -- Sebastien Badia <seb@sebian.fr>  Fri, 04 Mar 2016 10:00:27 -0300

r10k (2.1.1-1) unstable; urgency=low

  [ Sebastien Badia ]
  * [b7dcd82] d/patches: Refresh 001-remove-external-source-test.patch
  * [bb5e39d] Imported Upstream version 2.1.1 (Closes: #794141)
  * [8ac9783] d/*: Update docs, upstream url and dependencys
  * [615e9b6] d/control: Update maintainers and vcs repo

  [ Markus Frosch ]
  * [23f98a9] Add myself to uploaders
  * [c1bd6bd] Document possible dependency deprecation
  * [5f96742] Add ruby-rugged dependency
  * [aefba3e] Disable network based spec test
  * [e0c1d68] Recommend GIT and use it on build
  * [0d70580] Fix CHANGELOG installation

 -- Markus Frosch <lazyfrosch@debian.org>  Thu, 17 Dec 2015 14:49:24 +0100

=== debian/control ===
Source: r10k
Section: ruby
Priority: optional
Maintainer: Puppet Package Maintainers <pkg-puppet-devel@lists.alioth.debian.org>
Uploaders: Sebastien Badia <seb@sebian.fr>,
           Markus Frosch <lazyfrosch@debian.org>
Build-Depends: debhelper (>= 9~),
               gem2deb (>= 0.6.1~),
               git,
               rake,
               ruby-colored (>= 1.2),
               ruby-cri (>= 2.6.1),
               ruby-minitar,
               ruby-json (>= 1.8),
               ruby-log4r (>= 1.1.10),
               ruby-puppet-forge,
               ruby-ronn,
               ruby-rspec (>= 3.1),
               ruby-rugged (>= 0.21.4),
               ruby-semantic-puppet,
               yard (>= 0.8.7.3)
# NOTE: this dependencies might be not needed in a later release
# see https://github.com/puppetlabs/r10k/pull/545
              ,ruby-faraday (>= 0.9.0),
               ruby-faraday-middleware (>= 0.9.0),
               ruby-faraday-middleware-multi-json (>= 0.0.6)
Standards-Version: 3.9.7
Vcs-Git: https://anonscm.debian.org/git/pkg-puppet/r10k.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-puppet/r10k.git
Homepage: https://github.com/puppetlabs/r10k
XS-Ruby-Versions: all

Package: r10k
Architecture: all
XB-Ruby-Versions: ${ruby:Versions}
Depends: ruby | ruby-interpreter,
         ruby-colored (>= 1.2),
         ruby-cri (>= 2.6.1),
         ruby-minitar,
         ruby-json (>= 1.8),
         ruby-log4r (>= 1.1.10),
         ruby-puppet-forge,
         ruby-rugged (>= 0.21.4),
         ruby-semantic-puppet,
         ${misc:Depends}
# NOTE: this dependencies might be not needed in a later release
# see https://github.com/puppetlabs/r10k/pull/545
        ,ruby-faraday (>= 0.9.0),
         ruby-faraday-middleware (>= 0.9.0),
         ruby-faraday-middleware-multi-json (>= 0.0.6)
Recommends: git
Description: Puppet environment and module deployment
 R10K provides a general purpose toolset for deploying Puppet
 environments and modules. It implements the Puppetfile format
 and provides a native implementation of Puppet dynamic environments.

=== debian/rules ===
--- 
+++ 
@@ -11,6 +11,3 @@
 override_dh_auto_clean:
 	dh_auto_clean
 	rm -f debian/man/*.1
-
-override_dh_installchangelogs:
-	dh_installchangelogs -i CHANGELOG

=== debian/watch ===
version=3
https://github.com/puppetlabs/r10k/tags .*/(\d\.\d\.\d)\.tar\.gz

## r10k 2.3.0

=== debian/changelog ===
r10k (2.3.0-1) unstable; urgency=medium

  * Imported Upstream version 2.3.0 (Closes: #830411)
  * d/control: Bump Standards version to 3.9.8 (no changes)

 -- Sebastien Badia <seb@sebian.fr>  Thu, 14 Jul 2016 12:12:11 +0200

r10k (2.2.0-1) unstable; urgency=medium

  * New upstream version
  * Bumped up compat version to 9
  * d/control:
      Clean un-needed BD
      Bump Standards-Version to 3.9.7 (no changes)
      Update Vcs-* fields (use https everywhere)
  * d/patches: Remove unused patchs

 -- Sebastien Badia <seb@sebian.fr>  Fri, 04 Mar 2016 10:00:27 -0300

=== debian/control ===
--- 
+++ 
@@ -19,12 +19,7 @@
                ruby-rugged (>= 0.21.4),
                ruby-semantic-puppet,
                yard (>= 0.8.7.3)
-# NOTE: this dependencies might be not needed in a later release
-# see https://github.com/puppetlabs/r10k/pull/545
-              ,ruby-faraday (>= 0.9.0),
-               ruby-faraday-middleware (>= 0.9.0),
-               ruby-faraday-middleware-multi-json (>= 0.0.6)
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 Vcs-Git: https://anonscm.debian.org/git/pkg-puppet/r10k.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-puppet/r10k.git
 Homepage: https://github.com/puppetlabs/r10k
@@ -43,11 +38,6 @@
          ruby-rugged (>= 0.21.4),
          ruby-semantic-puppet,
          ${misc:Depends}
-# NOTE: this dependencies might be not needed in a later release
-# see https://github.com/puppetlabs/r10k/pull/545
-        ,ruby-faraday (>= 0.9.0),
-         ruby-faraday-middleware (>= 0.9.0),
-         ruby-faraday-middleware-multi-json (>= 0.0.6)
 Recommends: git
 Description: Puppet environment and module deployment
  R10K provides a general purpose toolset for deploying Puppet

## r10k 2.5.0

=== debian/changelog ===
r10k (2.5.0-1) unstable; urgency=medium

  * New upstream version 2.5.0
  * d/control: Update my Debian email

 -- Sebastien Badia <sbadia@debian.org>  Thu, 01 Dec 2016 14:04:11 +0100

r10k (2.4.3-1) unstable; urgency=medium

  * [8a866ab] Change section to admin (Closes: #832251)
  * [e508ae6] New upstream version 2.4.3
  * [e27c014] Update dependencies
  * [7791632] Add patch loosen_gem_dependencies

 -- Markus Frosch <lazyfrosch@debian.org>  Sun, 18 Sep 2016 19:46:19 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: r10k
-Section: ruby
+Section: admin
 Priority: optional
 Maintainer: Puppet Package Maintainers <pkg-puppet-devel@lists.alioth.debian.org>
-Uploaders: Sebastien Badia <seb@sebian.fr>,
+Uploaders: Sebastien Badia <sbadia@debian.org>,
            Markus Frosch <lazyfrosch@debian.org>
 Build-Depends: debhelper (>= 9~),
                gem2deb (>= 0.6.1~),
@@ -10,9 +10,10 @@
                rake,
                ruby-colored (>= 1.2),
                ruby-cri (>= 2.6.1),
+               ruby-gettext-setup (>= 0.5),
                ruby-minitar,
-               ruby-json (>= 1.8),
                ruby-log4r (>= 1.1.10),
+               ruby-multi-json (>= 1.10),
                ruby-puppet-forge,
                ruby-ronn,
                ruby-rspec (>= 3.1),
@@ -31,9 +32,10 @@
 Depends: ruby | ruby-interpreter,
          ruby-colored (>= 1.2),
          ruby-cri (>= 2.6.1),
+         ruby-gettext-setup (>= 0.5),
          ruby-minitar,
-         ruby-json (>= 1.8),
          ruby-log4r (>= 1.1.10),
+         ruby-multi-json (>= 1.10),
          ruby-puppet-forge,
          ruby-rugged (>= 0.21.4),
          ruby-semantic-puppet,

## r10k 2.5.5

=== debian/changelog ===
r10k (2.5.5-4) unstable; urgency=medium

  * d/patches: Fix FTBFS, disable tests that require network access
  * d/control: Bump Standard-Version to 4.1.0 (no changes needed)

 -- Sebastien Badia <sbadia@debian.org>  Wed, 23 Aug 2017 18:14:06 +0200

r10k (2.5.5-3) unstable; urgency=medium

  * d/patches: Loosen semantic_puppet version (according puppet_forge update)
    Fix debci self-tests.

 -- Sebastien Badia <sbadia@debian.org>  Tue, 20 Jun 2017 17:03:16 +0200

r10k (2.5.5-2) unstable; urgency=medium

  * d/compat: Bump compat. version to 10
  * d/control:
    + Update build/run dependency versions
    + Bump Standards-Version to 4.0.0 (no changes)
    + Try to enable debci

 -- Sebastien Badia <sbadia@debian.org>  Tue, 20 Jun 2017 16:19:01 +0200

r10k (2.5.5-1) unstable; urgency=medium

  * New upstream version 2.5.5
  * d/control: Update dependencies according new upstream release

 -- Sebastien Badia <sbadia@debian.org>  Sun, 11 Jun 2017 20:15:31 +0200

=== debian/control ===
Source: r10k
Section: admin
Priority: optional
Maintainer: Puppet Package Maintainers <pkg-puppet-devel@lists.alioth.debian.org>
Uploaders: Sebastien Badia <sbadia@debian.org>,
           Markus Frosch <lazyfrosch@debian.org>
Build-Depends: debhelper (>= 10~),
               gem2deb (>= 0.6.1~),
               git,
               rake,
               ruby-colored (>= 1.2),
               ruby-cri (>= 2.6.1),
               ruby-gettext-setup (>= 0.5),
               ruby-minitar (>= 0.6.1),
               ruby-log4r (>= 1.1.10),
               ruby-multi-json (>= 1.10),
               ruby-puppet-forge (>= 2.2.4~),
               ruby-ronn,
               ruby-rspec (>= 3.1),
               ruby-rugged (>= 0.24.0),
               ruby-semantic-puppet (>= 1.0.0~),
               yard (>= 0.8.7.3)
Standards-Version: 4.1.0
Vcs-Git: https://anonscm.debian.org/git/pkg-puppet/r10k.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-puppet/r10k.git
Homepage: https://github.com/puppetlabs/r10k
XS-Ruby-Versions: all
Testsuite: autopkgtest-pkg-ruby

Package: r10k
Architecture: all
XB-Ruby-Versions: ${ruby:Versions}
Depends: ruby | ruby-interpreter,
         ruby-colored (>= 1.2),
         ruby-cri (>= 2.6.1),
         ruby-gettext-setup (>= 0.5),
         ruby-minitar (>= 0.6.1),
         ruby-log4r (>= 1.1.10),
         ruby-multi-json (>= 1.10),
         ruby-puppet-forge (>= 2.2.4~),
         ruby-rugged (>= 0.24.0),
         ruby-semantic-puppet (>= 1.0.0~),
         ${misc:Depends}
Recommends: git
Description: Puppet environment and module deployment
 R10K provides a general purpose toolset for deploying Puppet
 environments and modules. It implements the Puppetfile format
 and provides a native implementation of Puppet dynamic environments.

## r10k 2.6.2

=== debian/changelog ===
r10k (2.6.2-2) unstable; urgency=medium

  * d/upstream: Added Upstream-metadata
  * d/compat: Bump compat version to 11
  * d/control: Use salsa.debian.org in Vcs-* fields

 -- Sebastien Badia <sbadia@debian.org>  Tue, 13 Mar 2018 18:23:24 +0100

r10k (2.6.2-1) unstable; urgency=medium

  * New upstream version 2.6.2
    + Spec tests now pass against ruby 2.5 (Closes: #888145)
  * d/copyright: Use HTTPS for copyright-format URI
  * d/control: Bump to Standards-Version 4.1.3 (no changes needed)

 -- Sebastien Badia <sbadia@debian.org>  Tue, 06 Feb 2018 20:25:05 +0100

r10k (2.6.1-1) unstable; urgency=medium

  * New upstream version 2.6.1
  * d/patches: Update 10_loosen_gem_dependencies patch (upstream change)
  * d/control:
    + Update dependency according new upstream version
    + Bump to Standards-Version 4.1.2 (no changes needed)

 -- Sebastien Badia <sbadia@debian.org>  Tue, 26 Dec 2017 17:09:31 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Puppet Package Maintainers <pkg-puppet-devel@lists.alioth.debian.org>
 Uploaders: Sebastien Badia <sbadia@debian.org>,
            Markus Frosch <lazyfrosch@debian.org>
-Build-Depends: debhelper (>= 10~),
+Build-Depends: debhelper (>= 11~),
                gem2deb (>= 0.6.1~),
                git,
                rake,
@@ -14,15 +14,14 @@
                ruby-minitar (>= 0.6.1),
                ruby-log4r (>= 1.1.10),
                ruby-multi-json (>= 1.10),
-               ruby-puppet-forge (>= 2.2.4~),
+               ruby-puppet-forge (>= 2.2.8~),
                ruby-ronn,
                ruby-rspec (>= 3.1),
                ruby-rugged (>= 0.24.0),
-               ruby-semantic-puppet (>= 1.0.0~),
                yard (>= 0.8.7.3)
-Standards-Version: 4.1.0
-Vcs-Git: https://anonscm.debian.org/git/pkg-puppet/r10k.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-puppet/r10k.git
+Standards-Version: 4.1.3
+Vcs-Git: https://salsa.debian.org/puppet-team/r10k.git
+Vcs-Browser: https://salsa.debian.org/puppet-team/r10k
 Homepage: https://github.com/puppetlabs/r10k
 XS-Ruby-Versions: all
 Testsuite: autopkgtest-pkg-ruby
@@ -37,9 +36,8 @@
          ruby-minitar (>= 0.6.1),
          ruby-log4r (>= 1.1.10),
          ruby-multi-json (>= 1.10),
-         ruby-puppet-forge (>= 2.2.4~),
+         ruby-puppet-forge (>= 2.2.8~),
          ruby-rugged (>= 0.24.0),
-         ruby-semantic-puppet (>= 1.0.0~),
          ${misc:Depends}
 Recommends: git
 Description: Puppet environment and module deployment

## r10k 2.6.3

=== debian/changelog ===
r10k (2.6.3-1) unstable; urgency=medium

  * d/control:
    + Bump to Standards-Version 4.1.5 (no changes needed)
    + Update ronn B-D (Closes: #903077)
    + Added Rules-Requires-Root option
  * New upstream version 2.6.3

 -- Sebastien Badia <sbadia@debian.org>  Tue, 10 Jul 2018 16:22:08 +0200

=== debian/control ===
--- 
+++ 
@@ -15,16 +15,17 @@
                ruby-log4r (>= 1.1.10),
                ruby-multi-json (>= 1.10),
                ruby-puppet-forge (>= 2.2.8~),
-               ruby-ronn,
+               ronn | ruby-ronn (<< 0.7.3-5.1~),
                ruby-rspec (>= 3.1),
                ruby-rugged (>= 0.24.0),
                yard (>= 0.8.7.3)
-Standards-Version: 4.1.3
+Standards-Version: 4.1.5
 Vcs-Git: https://salsa.debian.org/puppet-team/r10k.git
 Vcs-Browser: https://salsa.debian.org/puppet-team/r10k
 Homepage: https://github.com/puppetlabs/r10k
 XS-Ruby-Versions: all
 Testsuite: autopkgtest-pkg-ruby
+Rules-Requires-Root: no
 
 Package: r10k
 Architecture: all

## r10k 3.1.0

=== debian/changelog ===
r10k (3.1.0-1) unstable; urgency=medium

  * New upstream version 3.1.0 (fix cri dependency Closes: #918779)
  * d/watch: Bump watchfile to version 4
  * d/control: Bump to Standards-Version 4.3.0 (no changes needed)
  * d/copyright: Update copyright years

 -- Sebastien Badia <sbadia@debian.org>  Sat, 12 Jan 2019 21:18:54 +0100

=== debian/control ===
--- 
+++ 
@@ -19,7 +19,7 @@
                ruby-rspec (>= 3.1),
                ruby-rugged (>= 0.24.0),
                yard (>= 0.8.7.3)
-Standards-Version: 4.1.5
+Standards-Version: 4.3.0
 Vcs-Git: https://salsa.debian.org/puppet-team/r10k.git
 Vcs-Browser: https://salsa.debian.org/puppet-team/r10k
 Homepage: https://github.com/puppetlabs/r10k

## r10k 3.4.1

=== docker/Makefile ===
PUPPERWARE_ANALYTICS_STREAM ?= dev
NAMESPACE ?= puppet
git_describe = $(shell git describe)
vcs_ref := $(shell git rev-parse HEAD)
build_date := $(shell date -u +%FT%T)
hadolint_available := $(shell hadolint --help > /dev/null 2>&1; echo $$?)
hadolint_command := hadolint --ignore DL3008 --ignore DL3018 --ignore DL3028 --ignore DL4000 --ignore DL4001
hadolint_container := hadolint/hadolint:latest
export BUNDLE_PATH = $(PWD)/.bundle/gems
export BUNDLE_BIN = $(PWD)/.bundle/bin
export GEMFILE = $(PWD)/Gemfile

ifeq ($(IS_RELEASE),true)
	VERSION ?= $(shell echo $(git_describe) | sed 's/-.*//')
	LATEST_VERSION ?= latest
	dockerfile := release.Dockerfile
	dockerfile_context := r10k
else
	VERSION ?= edge
	IS_LATEST := false
	dockerfile := Dockerfile
	dockerfile_context := $(PWD)/..
endif

prep:
	@git fetch --unshallow 2> /dev/null ||:
	@git fetch origin 'refs/tags/*:refs/tags/*'

lint:
ifeq ($(hadolint_available),0)
	@$(hadolint_command) r10k/$(dockerfile)
else
	@docker pull $(hadolint_container)
	@docker run --rm -v $(PWD)/r10k/$(dockerfile):/Dockerfile -i $(hadolint_container) $(hadolint_command) Dockerfile
endif

build: prep
	docker build \
		--pull \
		--build-arg vcs_ref=$(vcs_ref) \
		--build-arg build_date=$(build_date) \
		--build-arg version=$(VERSION) \
		--build-arg pupperware_analytics_stream=$(PUPPERWARE_ANALYTICS_STREAM) \
		--file r10k/$(dockerfile) \
		--tag $(NAMESPACE)/r10k:$(VERSION) $(dockerfile_context)
ifeq ($(IS_LATEST),true)
	@docker tag $(NAMESPACE)/r10k:$(VERSION) puppet/r10k:$(LATEST_VERSION)
endif

test: prep
	@bundle install --path $$BUNDLE_PATH --gemfile $$GEMFILE --with test
	@bundle update
	@PUPPET_TEST_DOCKER_IMAGE=$(NAMESPACE)/r10k:$(VERSION) \
		bundle exec --gemfile $$GEMFILE \
		rspec spec

push-image: prep
	@docker push $(NAMESPACE)/r10k:$(VERSION)
ifeq ($(IS_LATEST),true)
	@docker push $(NAMESPACE)/r10k:$(LATEST_VERSION)
endif

push-readme:
	@docker pull sheogorath/readme-to-dockerhub
	@docker run --rm \
		-v $(PWD)/README.md:/data/README.md \
		-e DOCKERHUB_USERNAME="$(DOCKERHUB_USERNAME)" \
		-e DOCKERHUB_PASSWORD="$(DOCKERHUB_PASSWORD)" \
		-e DOCKERHUB_REPO_PREFIX=puppet \
		-e DOCKERHUB_REPO_NAME=r10k \
		sheogorath/readme-to-dockerhub

publish: push-image push-readme

.PHONY: lint build test prep publish push-image push-readme

=== debian/changelog ===
r10k (3.4.1-3) unstable; urgency=medium

  * d/control: Fix puppet-forge version (Closes: #953199)

 -- Sebastien Badia <sbadia@debian.org>  Mon, 16 Mar 2020 00:13:10 +0100

r10k (3.4.1-2) unstable; urgency=medium

  * debian/patches:
    - Add patch to relax gettext dependencies in gemspec.

 -- Georg Faerber <georg@debian.org>  Tue, 10 Mar 2020 17:13:45 +0000

r10k (3.4.1-1) unstable; urgency=medium

  * New upstream version 3.4.1.
  * debian/patches:
    - Drop obsolete patch to relax dependency on cri in gemspec.

 -- Georg Faerber <georg@debian.org>  Tue, 10 Mar 2020 14:48:54 +0000

r10k (3.4.0-1) unstable; urgency=medium

  * New upstream version 3.4.0. (Closes: #953199)
  * d/control:
    + Rely on debhelper-compat and bump compat level to 12
    + Bump Standards-Version to 4.5.0 (no changes needed)
    + Run wrap-and-sort -abt
    + Add myself as Uploader
    + Depend on ruby-colored2, instead of ruby-colored
  * d/compat:
    - Drop, obsolete
  * d/manpages:
    + Drop obsolete manpages
    + Run wrap-and-sort -abt
  * d/patches: Refresh for new release
  * d/r10k.docs: Run wrap-and-sort -abt
  * d/salsa-ci.yml: Add to enable CI

 -- Georg Faerber <georg@debian.org>  Mon, 09 Mar 2020 15:24:40 +0000

=== debian/control ===
Source: r10k
Section: admin
Priority: optional
Maintainer: Puppet Package Maintainers <pkg-puppet-devel@lists.alioth.debian.org>
Uploaders: Sebastien Badia <sbadia@debian.org>,
           Markus Frosch <lazyfrosch@debian.org>,
           Georg Faerber <georg@debian.org>,
Build-Depends: debhelper-compat (= 12),
               gem2deb (>= 0.6.1~),
               git,
               rake,
               ronn | ruby-ronn (<< 0.7.3-5.1~),
               ruby-colored2,
               ruby-cri (>= 2.6.1),
               ruby-gettext-setup (>= 0.5),
               ruby-log4r (>= 1.1.10),
               ruby-minitar (>= 0.6.1),
               ruby-multi-json (>= 1.10),
               ruby-puppet-forge (>= 2.3.0~),
               ruby-rspec (>= 3.1),
               ruby-rugged (>= 0.24.0),
               yard (>= 0.8.7.3),
Standards-Version: 4.5.0
Vcs-Git: https://salsa.debian.org/puppet-team/r10k.git
Vcs-Browser: https://salsa.debian.org/puppet-team/r10k
Homepage: https://github.com/puppetlabs/r10k
XS-Ruby-Versions: all
Testsuite: autopkgtest-pkg-ruby
Rules-Requires-Root: no

Package: r10k
Architecture: all
XB-Ruby-Versions: ${ruby:Versions}
Depends: ruby | ruby-interpreter,
         ruby-colored2,
         ruby-cri (>= 2.6.1),
         ruby-gettext-setup (>= 0.5),
         ruby-log4r (>= 1.1.10),
         ruby-minitar (>= 0.6.1),
         ruby-multi-json (>= 1.10),
         ruby-puppet-forge (>= 2.3.0~),
         ruby-rugged (>= 0.24.0),
         ${misc:Depends},
Recommends: git,
Description: Puppet environment and module deployment
 R10K provides a general purpose toolset for deploying Puppet
 environments and modules. It implements the Puppetfile format
 and provides a native implementation of Puppet dynamic environments.

## r10k 3.7.0

=== debian/changelog ===
r10k (3.7.0-2.1ubuntu1) jammy; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - d/p/20_disable_test_changing_proxy_settings: skip tests trying to change
      the proxy settings, they are failing in the Ubuntu autopkgtest
      infrastructure (LP #1940104).

 -- Lucas Kanashiro <kanashiro@ubuntu.com>  Tue, 14 Dec 2021 19:10:20 -0300

r10k (3.7.0-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * d/patches/13_fix_ruby_30_kwargs.patch: Add patch.
    - Fix Ruby 3.0 keywords argument handling (closes: #996116).
  * d/patches/series: Add new patch.

 -- Daniel Leidert <dleidert@debian.org>  Sat, 27 Nov 2021 00:24:35 +0100

r10k (3.7.0-2ubuntu1) impish; urgency=medium

  * d/p/20_disable_test_changing_proxy_settings: skip tests trying to change
    the proxy settings, they are failing in the Ubuntu autopkgtest
    infrastructure (LP: #1940104).

 -- Lucas Kanashiro <kanashiro@ubuntu.com>  Mon, 16 Aug 2021 11:49:31 -0300

r10k (3.7.0-2) unstable; urgency=medium

  * d/upstream: Fix package name
  * d/patches: Bump ruby-puppet-forge deps
  * d/control: Bump ruby-puppet-forge to 3.0.0

 -- Sebastien Badia <sbadia@debian.org>  Wed, 03 Feb 2021 19:51:26 +0100

r10k (3.7.0-1) unstable; urgency=medium

  * New upstream version 3.7.0 (Closes: #978235)
  * d/upstream: Fix missing-bug-tracking
  * d/patches: Refresh patchs
  * d/control:
    + Bump debhelper compat to 13
    + Bump Standards-Versions to 4.5.1 (no changes)

 -- Sebastien Badia <sbadia@debian.org>  Fri, 29 Jan 2021 10:58:34 +0100

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,12 @@
 Source: r10k
 Section: admin
 Priority: optional
-Maintainer: Puppet Package Maintainers <pkg-puppet-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Puppet Package Maintainers <pkg-puppet-devel@lists.alioth.debian.org>
 Uploaders: Sebastien Badia <sbadia@debian.org>,
            Markus Frosch <lazyfrosch@debian.org>,
            Georg Faerber <georg@debian.org>,
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                gem2deb (>= 0.6.1~),
                git,
                rake,
@@ -16,11 +17,11 @@
                ruby-log4r (>= 1.1.10),
                ruby-minitar (>= 0.6.1),
                ruby-multi-json (>= 1.10),
-               ruby-puppet-forge (>= 2.3.0~),
+               ruby-puppet-forge (>= 3.0.0~),
                ruby-rspec (>= 3.1),
                ruby-rugged (>= 0.24.0),
                yard (>= 0.8.7.3),
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Vcs-Git: https://salsa.debian.org/puppet-team/r10k.git
 Vcs-Browser: https://salsa.debian.org/puppet-team/r10k
 Homepage: https://github.com/puppetlabs/r10k
@@ -38,7 +39,7 @@
          ruby-log4r (>= 1.1.10),
          ruby-minitar (>= 0.6.1),
          ruby-multi-json (>= 1.10),
-         ruby-puppet-forge (>= 2.3.0~),
+         ruby-puppet-forge (>= 3.0.0~),
          ruby-rugged (>= 0.24.0),
          ${misc:Depends},
 Recommends: git,

=== debian/rules ===
--- 
+++ 
@@ -6,8 +6,10 @@
 
 override_dh_auto_build:
 	dh_auto_build
+	cp -r locales lib/
 	cd debian/man && ronn -r *.ronn
 
 override_dh_auto_clean:
 	dh_auto_clean
+	rm -rf lib/locales/
 	rm -f debian/man/*.1

=== debian/watch ===
version=4
https://github.com/puppetlabs/r10k/tags .*/(\d\.\d\.\d)\.tar\.gz

## r10k 3.15.4

=== debian/changelog ===
r10k (3.15.4-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable)
  * Remove obsolete field Name from debian/upstream/metadata
    (already present in machine-readable debian/copyright).
    Changes-By: lintian-brush

  [ Sebastien Badia ]
  * New upstream version 3.15.4
  * Bump Standards-Version to 4.6.2 (no changes needed)

 -- Sebastien Badia <sbadia@debian.org>  Thu, 09 Feb 2023 16:44:35 +0100

r10k (3.15.2-2) unstable; urgency=medium

  * debian/control:
    - Drop obsolete field XB-Ruby-Versions.

 -- Georg Faerber <georg@debian.org>  Mon, 24 Oct 2022 10:10:22 +0000

r10k (3.15.2-1) unstable; urgency=medium

  * New upstream version 3.15.2.
  * debian/control:
    - Bump Standards-Version to 4.6.1, no changes required.
  * debian/patches:
    - Refresh patch to relax versions of dependencies in gemspec.

 -- Georg Faerber <georg@debian.org>  Sun, 23 Oct 2022 16:14:16 +0000

r10k (3.14.2-2) unstable; urgency=medium

  * debian/patches:
    - Relax dependencies in gemspec: cri, puppet_forge, fast_gettext, jwt.
    - Skip another test which requires Internet access.

 -- Georg Faerber <georg@debian.org>  Fri, 15 Apr 2022 10:24:26 +0000

r10k (3.14.2-1) unstable; urgency=medium

  * New upstream version 3.14.2.
  * debian/control:
    - (Build-)Depend on ruby-jwt.
    - Drop depending on ruby-interpreter, obsolete.
    - Bump Standards-Version to 4.6.0, no changes required.
  * debian/patches:
    - Drop patch to ensure Ruby 3.0 compatibility, integrated upstream.
    - Refresh remaining patches.
  * debian/watch:
    - Rely on 'special strings' provided by uscan to handle higher version
      numbers.

 -- Georg Faerber <georg@debian.org>  Thu, 14 Apr 2022 19:00:38 +0000

=== debian/control ===
Source: r10k
Section: admin
Priority: optional
Maintainer: Puppet Package Maintainers <pkg-puppet-devel@lists.alioth.debian.org>
Uploaders: Sebastien Badia <sbadia@debian.org>,
           Markus Frosch <lazyfrosch@debian.org>,
           Georg Faerber <georg@debian.org>,
Build-Depends: debhelper-compat (= 13),
               gem2deb,
               git,
               rake,
               ronn | ruby-ronn (<< 0.7.3-5.1~),
               ruby-colored2,
               ruby-cri,
               ruby-gettext-setup,
               ruby-jwt (>= 2.2.3~),
               ruby-log4r,
               ruby-minitar,
               ruby-multi-json,
               ruby-puppet-forge (>= 3.0.0~),
               ruby-rspec,
               ruby-rugged,
               yard,
Standards-Version: 4.6.2
Vcs-Git: https://salsa.debian.org/puppet-team/r10k.git
Vcs-Browser: https://salsa.debian.org/puppet-team/r10k
Homepage: https://github.com/puppetlabs/r10k
XS-Ruby-Versions: all
Testsuite: autopkgtest-pkg-ruby
Rules-Requires-Root: no

Package: r10k
Architecture: all
Depends: ruby,
         ruby-colored2,
         ruby-cri,
         ruby-gettext-setup,
         ruby-jwt (>= 2.2.3~),
         ruby-log4r,
         ruby-minitar,
         ruby-multi-json,
         ruby-puppet-forge (>= 3.0.0~),
         ruby-rugged,
         ${misc:Depends},
Recommends: git,
Description: Puppet environment and module deployment
 R10K provides a general purpose toolset for deploying Puppet
 environments and modules. It implements the Puppetfile format
 and provides a native implementation of Puppet dynamic environments.

=== debian/watch ===
version=4
https://github.com/puppetlabs/r10k/tags .*/@ANY_VERSION@@ARCHIVE_EXT@

## r10k 4.0.0

=== debian/changelog ===
r10k (4.0.0-1ubuntu1) noble; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - d/p/20_disable_test_changing_proxy_settings: skip tests trying to change
      the proxy settings, they are failing in the Ubuntu autopkgtest
      infrastructure (LP #1940104).

 -- Lucas Kanashiro <kanashiro@ubuntu.com>  Thu, 22 Feb 2024 23:53:48 -0300

r10k (4.0.0-1) unstable; urgency=medium

  * New upstream version 4.0.0
  * d/patches: refresh patchs

 -- Sebastien Badia <sbadia@debian.org>  Thu, 09 Nov 2023 01:13:24 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: r10k
 Section: admin
 Priority: optional
-Maintainer: Puppet Package Maintainers <pkg-puppet-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Puppet Package Maintainers <pkg-puppet-devel@lists.alioth.debian.org>
 Uploaders: Sebastien Badia <sbadia@debian.org>,
            Markus Frosch <lazyfrosch@debian.org>,
            Georg Faerber <georg@debian.org>,

## r10k 4.0.2

=== debian/changelog ===
r10k (4.0.2-1ubuntu1) oracular; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - d/p/20_disable_test_changing_proxy_settings: skip tests trying to change
      the proxy settings, they are failing in the Ubuntu autopkgtest
      infrastructure (LP #1940104).

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Tue, 18 Jun 2024 10:15:40 +0100

r10k (4.0.2-1) unstable; urgency=medium

  * New upstream version 4.0.2

 -- Georg Faerber <georg@debian.org>  Wed, 03 Apr 2024 14:35:32 +0000

## r10k 5.0.0

=== debian/changelog ===
r10k (5.0.0-2ubuntu1) plucky; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - d/p/20_disable_test_changing_proxy_settings: skip tests trying to change
      the proxy settings, they are failing in the Ubuntu autopkgtest
      infrastructure (LP #1940104).

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Fri, 17 Jan 2025 21:11:50 +0000

r10k (5.0.0-2) unstable; urgency=medium

  [ Cédric Boutillier ]
  * debian/patches:
    - Add patch to relax colored2 versioning in gemspec. (Closes: #1090389)

 -- Georg Faerber <georg@debian.org>  Wed, 08 Jan 2025 08:22:22 +0000

r10k (5.0.0-1) unstable; urgency=medium

  * New upstream version. (Closes: #1090389)
  * debian/control:
    - Bump Standards-Version to 4.7.0, no changes required.
  * debian/patches:
    - Drop obsolete patches to relax versionings in gemspec.

 -- Georg Faerber <georg@debian.org>  Tue, 07 Jan 2025 16:04:15 +0000

=== debian/control ===
--- 
+++ 
@@ -22,7 +22,7 @@
                ruby-rspec,
                ruby-rugged,
                yard,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Git: https://salsa.debian.org/puppet-team/r10k.git
 Vcs-Browser: https://salsa.debian.org/puppet-team/r10k
 Homepage: https://github.com/puppetlabs/r10k
